Subject: Re: More problems with new full.exe
From: [email-masked] (Earnie Boyd)

8 Nov 1998 11:25:38 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Mikhail Tchernychev <[email-masked]>,
        cygwin win-32 <[email-masked]>

What happens if you remove the GCC_EXEC_PREFIX altogether?  If you
installed in the default directory on C: then you shouldn't need the
gcc environment variables.

---Mikhail Tchernychev <[email-masked]> wrote:
>
> Hi all,
> 
> I unpacked and installed latest version of full.exe
> It seems to me that compiler is broken here.
> When I tried to compile simple program (t.cpp):
> 
> #include <stdio.h>
> #include <stdlib.h>
> void main() {
> }
> 
> I got first :
> 
> gcc: installation problem, cannot exec `cpp': No such file or
directory
> 
> I was able to fix this problem in the previous version
> of b20 by means of changes in the cygnus.bat:
> 
> @ECHO OFF
> SET MAKE_MODE=UNIX
> SET CYGROOT=C:\cygnus\cygwin-b20
> SET CYGFS=c:/cygnus/cygwin-b20
> SET CYGREL=b20
> SET
>
GCC_EXEC_PREFIX=c:\cygnus\cygwin-b20\H-i586-cygwin32\lib\gcc-lib\i586-cygwin32\egcs-2.91.57\
> SET TCL_LIBRARY=%CYGROOT%\share\tcl8.0\
> SET GDBTK_LIBRARY=%CYGFS%/share/gdbtcl
> SET PATH=c:\cygnus\cygwin-b20\H-i586-cygwin32\bin;%PATH%
> SET
>
C_INCLUDE_PATH=c:\cygnus\cygwin-b20\H-i586-cygwin32\i586-cygwin32\include;c:\cygnus\cygwin-b20\H-i586-cygwin32\i586-cygwin32\include\mingw32;c:\cygnus\cygwin-b20\include\g++;
> 
> SET
>
LIBRARY_PATH=c:\cygnus\cygwin-b20\H-i586-cygwin32\i586-cygwin32\lib;c:\cygnus\cygwin-b20\H-i586-cygwin32\lib
> SET CPLUS_INCLUDE_PATH=%C_INCLUDE_PATH%
> SET CYGWIN=tty
> bash
> 
> but it did not work anymore (egcs does not understand
> GCC_EXEC_PREFIX ?)
> 
> Finally, I managed to start compiler by including
> in the path (under bash):
> 
> export PATH=$PATH:$GCC_EXEC_PREFIX
> 
> but still a bunch of errors like:
> 
>
c:\\cygnus\\cygwin-b20\\H-i586-cygwin32\\i586-cygwin32\\include\\stdio.h:143:
> type specifier omitted for parameter
> 
> It would be nice if compiler could start right
> away without having to search for the clues into the original EGCS
> pages.
> 
> Regards,
> Mikhail 
> _________________________________________________________
> DO YOU YAHOO!?
> Get your free @yahoo.com address at http://mail.yahoo.com
> 
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

==
-                  \\||//
-------------o0O0--Earnie--0O0o--------------
--          [email-masked]          --
-- http://www.freeyellow.com/members5/gw32 --
----------------ooo0O--O0ooo-----------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".